{ "warnings": [ "Address validation warning" ], "labels": { "shipping_label": "aSDinaTvuI8gbWludGxpZnk=", "customs_documents": "aSDinaTvuI8gbWludGxpZnk=", "bill_of_lading": "aSDinaTvuI8gbWludGxpZnk=", "hazmat_shipping_papers": "aSDinaTvuI8gbWludGxpZnk=", "hazmat_shippers_declaration": "aSDinaTvuI8gbWludGxpZnk=", "sscc_pack_label": "aSDinaTvuI8gbWludGxpZnk=" }, "messages": [ "Labels have been sent to the label printer (label-printer-01).", "Customs Documents have been sent to the laser printer (laser-printer-01)." ]}
{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid."
}
]
}
{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}
{
"errors": [
{
"type": "unable_to_process",
"message": "There was an error processing the request."
}
]
}
Shipments
Pack Shipment
This endpoint can be used in multiple modes of operation and in all cases operates on a Shipment specified by its id path parameter.
The available modes are:
Pack and Label: Create packages for a shipment and complete packing (create label if supported) in one step.
Pack Only: Create packages for a shipment without completing packing.
Complete Packing: Complete the packing of a shipment (creates a label if supported) in the “packing” status which was previously packed with the second mode.
Additionally, many of the parameters are optional, in which case the system will attempt to intelligently determine the best course of action based on the current state of the shipment and its contents. For example, if the Shipment has a Packing Solution and no package details are provided, the system will assume the containers specified by the Packing Solution were used and thus create the packages accordingly.
{ "warnings": [ "Address validation warning" ], "labels": { "shipping_label": "aSDinaTvuI8gbWludGxpZnk=", "customs_documents": "aSDinaTvuI8gbWludGxpZnk=", "bill_of_lading": "aSDinaTvuI8gbWludGxpZnk=", "hazmat_shipping_papers": "aSDinaTvuI8gbWludGxpZnk=", "hazmat_shippers_declaration": "aSDinaTvuI8gbWludGxpZnk=", "sscc_pack_label": "aSDinaTvuI8gbWludGxpZnk=" }, "messages": [ "Labels have been sent to the label printer (label-printer-01).", "Customs Documents have been sent to the laser printer (laser-printer-01)." ]}
{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid."
}
]
}
{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}
{
"errors": [
{
"type": "unable_to_process",
"message": "There was an error processing the request."
}
]
}
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Describes each package and its contents. If not provided, and the Shipment has a Packing Solution, the Packing Solution containers will be used to create the packages. If neither are provided, the system will attempt to create a single package containing all items in the shipment.
If true, the packing process will be completed and the shipment status will advance to 'Packed'. Otherwise, the packages will be saved and the shipment status will advance only to 'Packing'. A second request without the packages property and with complete_packing set to true is then required to complete the packing process using the package data from the first request (two-step).
Required to be true if return_label or print_label is true and no existing label exists.
Whether to return the generated shipping labels in the response as base64-encoded PDF data.
Requires complete_packing to be true or an existing shipping label to be present.
Labels are returned in the response under the labels key.
Whether to send the generated labels to the specified printers.
Requires complete_packing to be true or an existing shipping label to be present.
Must specify the appropriate printer parameters based on shipment type and documents returned by the carrier API.
URL to send shipment data to after successful packing operation.
Must be a valid HTTP or HTTPS URL.
Shipment data including ID, tracking info, and package data will be transmitted to this URL via an HTTP POST request synchronously.
Any 200 response will be considered a success. Any non-200 response will be considered an error, and the request body will be truncated to 255 characters and displayed to the user and added as a history comment to the order.
The JSON-encoded payload contains the following keys: shipment_id, external_id, order_unique_id, order_ref, carrier_code, shipping_method, batch_tag, automation_data, website_code, store_code, shipment_weight, shipment_weight_unit, order_weight, order_weight_unit, is_international, is_documents_required, and stock_id.
Whether to mark the current packing solution as invalid/disabled.
When true, disables the current solution after packing is complete.
Cannot be used in combination with other solution override parameters.
Whether to pack the shipment in offline mode without carrier API integration.
When true, skips carrier API calls and address validation.
Useful for situations where carrier services are unavailable.
Object mapping instruction IDs to quantities for order instructions that have been confirmed.
Keys are instruction IDs (as strings), values are the quantities confirmed.
Used to record fulfillment of special order instructions during packing.
Status messages about printing operations (returned only when print_label is true)
Example:
[ "Labels have been sent to the label printer (label-printer-01).", "Customs Documents have been sent to the laser printer (laser-printer-01)." ]
Was this page helpful?
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"ShipStream Developer Center","colors":{"primary":"#2a81c4","light":"#2a81c4","dark":"#2a81c4"},"logo":{"light":"https://mintcdn.com/shipstream/qd77w5Du5LxXOgdH/logo/light.svg?fit=max\u0026auto=format\u0026n=qd77w5Du5LxXOgdH\u0026q=85\u0026s=a0df5ad1d65033e45435fe663a71e67e","dark":"https://mintcdn.com/shipstream/qd77w5Du5LxXOgdH/logo/dark.svg?fit=max\u0026auto=format\u0026n=qd77w5Du5LxXOgdH\u0026q=85\u0026s=b83b5ebc8570308bd06c53fdc32eb950","href":"https://shipstream.io"},"favicon":{"light":"https://mintcdn.com/shipstream/qd77w5Du5LxXOgdH/favicon-light.svg?fit=max\u0026auto=format\u0026n=qd77w5Du5LxXOgdH\u0026q=85\u0026s=85c67af04fff1dac7f40844baf8c28d6","dark":"https://mintcdn.com/shipstream/qd77w5Du5LxXOgdH/favicon-dark.svg?fit=max\u0026auto=format\u0026n=qd77w5Du5LxXOgdH\u0026q=85\u0026s=72f5d317204ffe6e66245125e71f9831"},"appearance":{"default":"light"},"navbar":{"links":[{"href":"mailto:help@shipstream.io","label":"Support"}],"primary":{"type":"button","label":"Get Started","href":"https://shipstream.io"}},"footer":{"socials":{"github":"https://github.com/shipstream","linkedin":"https://linkedin.com/company/shipstream-llc"}},"fonts":{"family":"Inter"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Knowledge Base","icon":"book-open-cover","href":"https://help.shipstream.io"},{"anchor":"Release Notes","icon":"newspaper","href":"https://help.shipstream.io/article/fzz2g8rxhs-release-notes-overview"},{"anchor":"Warehouse Designer","icon":"compass","href":"https://flow.shipstream.io"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"shipstream","hasAudioNarration":false,"actualSubdomain":"shipstream","customDomains":["docs.shipstream.io"],"gitSource":{"type":"github","owner":"colinmollenhour","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6acebedfad8927365d8e6b61","collectionId":"239e8646-2b14-4b40-9c87-6d42a5b1848a","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6acebedfad8927365d8e6b61"},"feedback":{"thumbs":true,"edits":false},"entitlements":{},"buildId":"6acebedfad8927365d8e6b61","clientVersion":"0.0.3990","searchFilterCounts":[{"language":"default","tag":"Global API Reference","count":143},{"language":"default","tag":"Inventory API v1","count":86},{"language":"default","tag":"Shipping API v1","count":37},{"language":"default","tag":"Merchant API Reference","count":31},{"language":"default","tag":"Retailers","count":26},{"language":"default","tag":"Slotting Rules","count":12},{"language":"default","tag":"Common Features","count":11},{"language":"default","tag":"Product Profiles","count":10},{"language":"default","tag":"System API v1","count":10},{"language":"default","tag":"Shipping","count":10}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"global-api/endpoint/v1/shipping/shipments/{id}/pack/post","slug":"/global-api/endpoint/v1/shipping/shipments/{id}/pack/post","pageMetadata":{"title":"Pack Shipment","openapi":"POST /v1/shipping/shipments/{id}/pack","description":"This endpoint can be used in multiple modes of operation and in all cases operates on a `Shipment` specified by its `id` path parameter.\n\nThe available modes are:\n1. Pack and Label: Create packages for a shipment and complete packing (create label if supported) in one step.\n2. Pack Only: Create packages for a shipment without completing packing.\n3. Complete Packing: Complete the packing of a shipment (creates a label if supported) in the \"packing\" status which was previously packed with the second mode.\n\nAdditionally, many of the parameters are optional, in which case the system will attempt to intelligently determine the best course of action based on the current state of the shipment and its contents. For example, if the Shipment has a Packing Solution and no package details are provided, the system will assume the containers specified by the Packing Solution were used and thus create the packages accordingly.","href":"/global-api/endpoint/v1/shipping/shipments/{id}/pack/post"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n li: \"li\",\n ol: \"ol\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"This endpoint can be used in multiple modes of operation and in all cases operates on a \", _jsx(_components.code, {\n children: \"Shipment\"\n }), \" specified by its \", _jsx(_components.code, {\n children: \"id\"\n }), \" path parameter.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"The available modes are:\"\n }), \"\\n\", _jsxs(_components.ol, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Pack and Label: Create packages for a shipment and complete packing (create label if supported) in one step.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Pack Only: Create packages for a shipment without completing packing.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Complete Packing: Complete the packing of a shipment (creates a label if supported) in the “packing” status which was previously packed with the second mode.\"\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Additionally, many of the parameters are optional, in which case the system will attempt to intelligently determine the best course of action based on the current state of the shipment and its contents. For example, if the Shipment has a Packing Solution and no package details are provided, the system will assume the containers specified by the Packing Solution were used and thus create the packages accordingly.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Pack Shipment","openapi":"POST /v1/shipping/shipments/{id}/pack","description":"This endpoint can be used in multiple modes of operation and in all cases operates on a `Shipment` specified by its `id` path parameter.\n\nThe available modes are:\n1. Pack and Label: Create packages for a shipment and complete packing (create label if supported) in one step.\n2. Pack Only: Create packages for a shipment without completing packing.\n3. Complete Packing: Complete the packing of a shipment (creates a label if supported) in the \"packing\" status which was previously packed with the second mode.\n\nAdditionally, many of the parameters are optional, in which case the system will attempt to intelligently determine the best course of action based on the current state of the shipment and its contents. For example, if the Shipment has a Packing Solution and no package details are provided, the system will assume the containers specified by the Packing Solution were used and thus create the packages accordingly.","href":"/global-api/endpoint/v1/shipping/shipments/{id}/pack/post"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Pack Shipment","tags":["Shipments"],"operationId":"packShipment","description":"This endpoint can be used in multiple modes of operation and in all cases operates on a `Shipment` specified by its `id` path parameter.\n\nThe available modes are:\n1. Pack and Label: Create packages for a shipment and complete packing (create label if supported) in one step.\n2. Pack Only: Create packages for a shipment without completing packing.\n3. Complete Packing: Complete the packing of a shipment (creates a label if supported) in the \"packing\" status which was previously packed with the second mode.\n\nAdditionally, many of the parameters are optional, in which case the system will attempt to intelligently determine the best course of action based on the current state of the shipment and its contents. For example, if the Shipment has a Packing Solution and no package details are provided, the system will assume the containers specified by the Packing Solution were used and thus create the packages accordingly.","parameters":["bf41cf39-3468-48d6-b6b3-46d183f915ad"],"requestBody":"5c574961-11d8-4200-ad38-fbb7cfe419e2","responses":{"200":"926700c0-5816-4fa1-86b8-7477ad225dbb","400":"76de1dbc-5226-4b7e-9325-270ecf2de87c","404":"cceb92ed-9ddb-4487-b98d-c67736dc7b12","422":"03363e1e-4bf0-44e7-81b1-bfaf3913bba7","500":"e16f6ed4-4ef4-4798-804c-0ef01a50ed54"},"method":"post","type":"path","servers":["c54ede43-9c1a-41e5-bd59-dd40a08d5ddf"],"security":["cdd0ed69-efb4-45cc-8b4d-1bf2ea905a01"],"path":"/v1/shipping/shipments/{id}/pack","baseUrlOptions":["https://{base_url_domain}/api/global"],"title":"Pack Shipment","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"bf41cf39-3468-48d6-b6b3-46d183f915ad":{"name":"id","in":"path","schema":{"type":"integer","minimum":1,"isRequired":true,"description":"The `id` of the referenced `Shipment`.","uniqueKey":"","typeLabel":"integer"},"required":true,"description":"The `id` of the referenced `Shipment`."}},"requestBody":{"description":"Optional request parameters for packing, labeling, and printing operations.","content":{"application/json":{"schema":{"type":"object","properties":{"packages":{"type":"array","description":"Describes each package and its contents. If not provided, and the Shipment has a Packing Solution, the Packing Solution containers will be used to create the packages. If neither are provided, the system will attempt to create a single package containing all items in the shipment.","items":{"title":"ShipmentPackage","type":"object","properties":{"actual_weight":{"oneOf":[{"type":"object","title":"Weight","description":"The weight of the package as measured or estimated based on the contents and packaging.","properties":{"value":{"type":"number","description":"The weight quantity defined as a floating point value of up to 4 decimal places.","format":"float","example":20,"uniqueKey":"packages.items.[INDEX].actual_weight.oneOf.0.value","typeLabel":"number\u003cfloat>"},"unit":{"type":"string","description":"This can be an imperial or metric unit for weight.","enum":["lb","oz","kg","g"],"uniqueKey":"packages.items.[INDEX].actual_weight.oneOf.0.unit","typeLabel":"enum\u003cstring>"}},"uniqueKey":"packages.items.[INDEX].actual_weight.oneOf.0","typeLabel":"Weight · object"},{"type":"null","title":"Weight","description":"The weight of the package as measured or estimated based on the contents and packaging.","properties":{"value":{"type":"number","description":"The weight quantity defined as a floating point value of up to 4 decimal places.","format":"float","example":20},"unit":{"type":"string","description":"This can be an imperial or metric unit for weight.","enum":["lb","oz","kg","g"]}},"uniqueKey":"packages.items.[INDEX].actual_weight.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].actual_weight","typeLabel":"Weight · object | null"},"dimensions":{"oneOf":[{"type":"object","title":"Dimensions","description":"The dimensions of the package.","properties":{"length":{"type":"number","description":"This distance value is usually assigned to the longest side of the object and is defined as a floating-point number up to 4 decimal places.","format":"float","example":8,"uniqueKey":"packages.items.[INDEX].dimensions.oneOf.0.length","typeLabel":"number\u003cfloat>"},"width":{"type":"number","description":"This value describes the horizontal distance of the subject defined as a floating-point number up to 4 decimal places.","format":"float","example":6,"uniqueKey":"packages.items.[INDEX].dimensions.oneOf.0.width","typeLabel":"number\u003cfloat>"},"height":{"type":"number","description":"This value describes the vertical distance of the subject defined as a floating-point number up to 4 decimal places.","format":"float","example":4,"uniqueKey":"packages.items.[INDEX].dimensions.oneOf.0.height","typeLabel":"number\u003cfloat>"},"unit":{"type":"string","description":"The imperical or metric unit of measurement.","enum":["in","mm","cm","m"],"uniqueKey":"packages.items.[INDEX].dimensions.oneOf.0.unit","typeLabel":"enum\u003cstring>"}},"uniqueKey":"packages.items.[INDEX].dimensions.oneOf.0","typeLabel":"Dimensions · object"},{"type":"null","title":"Dimensions","description":"The dimensions of the package.","properties":{"length":{"type":"number","description":"This distance value is usually assigned to the longest side of the object and is defined as a floating-point number up to 4 decimal places.","format":"float","example":8},"width":{"type":"number","description":"This value describes the horizontal distance of the subject defined as a floating-point number up to 4 decimal places.","format":"float","example":6},"height":{"type":"number","description":"This value describes the vertical distance of the subject defined as a floating-point number up to 4 decimal places.","format":"float","example":4},"unit":{"type":"string","description":"The imperical or metric unit of measurement.","enum":["in","mm","cm","m"]}},"uniqueKey":"packages.items.[INDEX].dimensions.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].dimensions","typeLabel":"Dimensions · object | null"},"customs_value":{"oneOf":[{"type":"object","title":"Monetary","description":"The combined customs value of all items in this package.","properties":{"amount":{"type":"number","description":"This is the monetary value..","format":"float","example":99,"uniqueKey":"packages.items.[INDEX].customs_value.oneOf.0.amount","typeLabel":"number\u003cfloat>"},"currency":{"type":"string","description":"An ISO 3166-1 alpha-3 currency code.","example":"USD","uniqueKey":"packages.items.[INDEX].customs_value.oneOf.0.currency","typeLabel":"string"}},"uniqueKey":"packages.items.[INDEX].customs_value.oneOf.0","typeLabel":"Monetary · object"},{"type":"null","title":"Monetary","description":"The combined customs value of all items in this package.","properties":{"amount":{"type":"number","description":"This is the monetary value..","format":"float","example":99},"currency":{"type":"string","description":"An ISO 3166-1 alpha-3 currency code.","example":"USD"}},"uniqueKey":"packages.items.[INDEX].customs_value.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].customs_value","typeLabel":"Monetary · object | null"},"declared_value":{"oneOf":[{"type":"object","title":"Monetary","description":"The combined declared value of all items in this package.","properties":{"amount":{"type":"number","description":"This is the monetary value..","format":"float","example":99,"uniqueKey":"packages.items.[INDEX].declared_value.oneOf.0.amount","typeLabel":"number\u003cfloat>"},"currency":{"type":"string","description":"An ISO 3166-1 alpha-3 currency code.","example":"USD","uniqueKey":"packages.items.[INDEX].declared_value.oneOf.0.currency","typeLabel":"string"}},"uniqueKey":"packages.items.[INDEX].declared_value.oneOf.0","typeLabel":"Monetary · object"},{"type":"null","title":"Monetary","description":"The combined declared value of all items in this package.","properties":{"amount":{"type":"number","description":"This is the monetary value..","format":"float","example":99},"currency":{"type":"string","description":"An ISO 3166-1 alpha-3 currency code.","example":"USD"}},"uniqueKey":"packages.items.[INDEX].declared_value.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].declared_value","typeLabel":"Monetary · object | null"},"tracking_number":{"oneOf":[{"type":"string","description":"The tracking number to be associated with the shipment for use by the customer.","uniqueKey":"packages.items.[INDEX].tracking_number.oneOf.0","typeLabel":"string"},{"type":"null","description":"The tracking number to be associated with the shipment for use by the customer.","uniqueKey":"packages.items.[INDEX].tracking_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].tracking_number","typeLabel":"string | null"},"tracking_description":{"oneOf":[{"type":"string","description":"A description of the tracking number. For parcel this is usually the name of the carrier and service level. For freight shipments it is usually just \"PRO Number\".","uniqueKey":"packages.items.[INDEX].tracking_description.oneOf.0","typeLabel":"string"},{"type":"null","description":"A description of the tracking number. For parcel this is usually the name of the carrier and service level. For freight shipments it is usually just \"PRO Number\".","uniqueKey":"packages.items.[INDEX].tracking_description.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].tracking_description","typeLabel":"string | null"},"tracking_url":{"oneOf":[{"type":"string","description":"A URL that can be provided to customers to track their shipment status.","uniqueKey":"packages.items.[INDEX].tracking_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URL that can be provided to customers to track their shipment status.","uniqueKey":"packages.items.[INDEX].tracking_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].tracking_url","typeLabel":"string | null"},"tracking_ref":{"oneOf":[{"type":"string","description":"A reference number to this package for external systems. This is not visible in the UI and typically reserved for internal use.","uniqueKey":"packages.items.[INDEX].tracking_ref.oneOf.0","typeLabel":"string"},{"type":"null","description":"A reference number to this package for external systems. This is not visible in the UI and typically reserved for internal use.","uniqueKey":"packages.items.[INDEX].tracking_ref.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].tracking_ref","typeLabel":"string | null"},"alt_tracking_number":{"oneOf":[{"type":"string","description":"An alternative tracking number pertaining to the package if available. For freight shipments this is usually the Bill of Lading number.","uniqueKey":"packages.items.[INDEX].alt_tracking_number.oneOf.0","typeLabel":"string"},{"type":"null","description":"An alternative tracking number pertaining to the package if available. For freight shipments this is usually the Bill of Lading number.","uniqueKey":"packages.items.[INDEX].alt_tracking_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].alt_tracking_number","typeLabel":"string | null"},"alt_tracking_description":{"oneOf":[{"type":"string","description":"A description of the alternative tracking number if one is specified. For freight shipments this is usually \"BOL Number\".","uniqueKey":"packages.items.[INDEX].alt_tracking_description.oneOf.0","typeLabel":"string"},{"type":"null","description":"A description of the alternative tracking number if one is specified. For freight shipments this is usually \"BOL Number\".","uniqueKey":"packages.items.[INDEX].alt_tracking_description.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].alt_tracking_description","typeLabel":"string | null"},"sscc":{"type":"string","description":"The Serial Shipping Container Code if one was generated.","uniqueKey":"packages.items.[INDEX].sscc","typeLabel":"string"},"manifest_code":{"type":"string","description":"The code of the manifest courier by which the package is being shipped.","uniqueKey":"packages.items.[INDEX].manifest_code","typeLabel":"string"},"items":{"type":"array","description":"A list of items contained in the package.","items":{"title":"PackageItem","type":"object","properties":{"sku":{"type":"string","description":"The SKU of the item.","uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].sku","typeLabel":"string"},"name":{"type":"string","description":"The name of the item.","uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].name","typeLabel":"string"},"quantity":{"type":"number","description":"The number of units of this item contained in the package.","uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].quantity","typeLabel":"number"},"weight":{"oneOf":[{"type":"object","title":"Weight","description":"The combined weight of all units of this item shipped in this package.","properties":{"value":{"type":"number","description":"The weight quantity defined as a floating point value of up to 4 decimal places.","format":"float","example":20,"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].weight.oneOf.0.value","typeLabel":"number\u003cfloat>"},"unit":{"type":"string","description":"This can be an imperial or metric unit for weight.","enum":["lb","oz","kg","g"],"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].weight.oneOf.0.unit","typeLabel":"enum\u003cstring>"}},"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].weight.oneOf.0","typeLabel":"Weight · object"},{"type":"null","title":"Weight","description":"The combined weight of all units of this item shipped in this package.","properties":{"value":{"type":"number","description":"The weight quantity defined as a floating point value of up to 4 decimal places.","format":"float","example":20},"unit":{"type":"string","description":"This can be an imperial or metric unit for weight.","enum":["lb","oz","kg","g"]}},"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].weight.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].weight","typeLabel":"Weight · object | null"},"hazmat_unit_weight":{"oneOf":[{"type":"object","title":"Weight","description":"The net hazmat weight of a single units of this item. If a Net Hazmat Weight was not\ndefined for the product at the time of shipping, this will be the product's weight for a single unit (gross weight).","properties":{"value":{"type":"number","description":"The weight quantity defined as a floating point value of up to 4 decimal places.","format":"float","example":20,"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].hazmat_unit_weight.oneOf.0.value","typeLabel":"number\u003cfloat>"},"unit":{"type":"string","description":"This can be an imperial or metric unit for weight.","enum":["lb","oz","kg","g"],"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].hazmat_unit_weight.oneOf.0.unit","typeLabel":"enum\u003cstring>"}},"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].hazmat_unit_weight.oneOf.0","typeLabel":"Weight · object"},{"type":"null","title":"Weight","description":"The net hazmat weight of a single units of this item. If a Net Hazmat Weight was not\ndefined for the product at the time of shipping, this will be the product's weight for a single unit (gross weight).","properties":{"value":{"type":"number","description":"The weight quantity defined as a floating point value of up to 4 decimal places.","format":"float","example":20},"unit":{"type":"string","description":"This can be an imperial or metric unit for weight.","enum":["lb","oz","kg","g"]}},"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].hazmat_unit_weight.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].hazmat_unit_weight","typeLabel":"Weight · object | null"},"customs_value":{"oneOf":[{"type":"object","title":"Monetary","description":"The combined customs value of all units of this item shipped in this package.","properties":{"amount":{"type":"number","description":"This is the monetary value..","format":"float","example":99,"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].customs_value.oneOf.0.amount","typeLabel":"number\u003cfloat>"},"currency":{"type":"string","description":"An ISO 3166-1 alpha-3 currency code.","example":"USD","uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].customs_value.oneOf.0.currency","typeLabel":"string"}},"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].customs_value.oneOf.0","typeLabel":"Monetary · object"},{"type":"null","title":"Monetary","description":"The combined customs value of all units of this item shipped in this package.","properties":{"amount":{"type":"number","description":"This is the monetary value..","format":"float","example":99},"currency":{"type":"string","description":"An ISO 3166-1 alpha-3 currency code.","example":"USD"}},"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].customs_value.oneOf.1","typeLabel":"null"}],"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].customs_value","typeLabel":"Monetary · object | null"},"order_item_id":{"type":"number","description":"A reference to the `OrderItem` to which this package item relates.","format":"int32","uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].order_item_id","typeLabel":"number\u003cint32>"},"order_item_sku":{"type":"string","description":"The SKU of the `OrderItem` to which this package item relates.","uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].order_item_sku","typeLabel":"string"},"order_item_quantity":{"type":"number","description":"The number of units of the related `OrderItem` which this package item represents.\n\n*Beware*, this number is susceptible to complex rounding issues. For example, if an order item which consists of three\npackage items is shipped, 0.3333 + 0.3333 + 0.3333 will add up to 0.9999 rather than 1.0.","format":"float","uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX].order_item_quantity","typeLabel":"number\u003cfloat>"}},"uniqueKey":"packages.items.[INDEX].\\items.items.[INDEX]","typeLabel":"PackageItem · object"},"uniqueKey":"packages.items.[INDEX].\\items","typeLabel":"PackageItem · object[]"},"container":{"type":"object","title":"ProductRef","description":"A reference to the packaging product which was used as the container for the package (if one was used).","required":["type","id"],"properties":{"type":{"type":"string","enum":["Product"],"description":"This property describes the type of object in the response body.","isRequired":true,"uniqueKey":"packages.items.[INDEX].container.type","typeLabel":"enum\u003cstring>"},"id":{"type":"integer","format":"int32","example":3,"description":"The internal `id` property used as a path parameter in a resource lookup.","isRequired":true,"uniqueKey":"packages.items.[INDEX].container.id","typeLabel":"integer\u003cint32>"}},"additionalProperties":false,"uniqueKey":"packages.items.[INDEX].container","typeLabel":"ProductRef · object"},"infill":{"title":"ProductRef","type":"object","description":"A reference to a `Product` object by `id`.","properties":{"type":{"type":"string","enum":["Product"],"description":"This property describes the type of object in the response body.","isRequired":true,"uniqueKey":"packages.items.[INDEX].infill.type","typeLabel":"enum\u003cstring>"},"id":{"type":"integer","format":"int32","example":3,"description":"The internal `id` property used as a path parameter in a resource lookup.","isRequired":true,"uniqueKey":"packages.items.[INDEX].infill.id","typeLabel":"integer\u003cint32>"}},"required":["type","id"],"additionalProperties":false,"uniqueKey":"packages.items.[INDEX].infill","typeLabel":"ProductRef · object"},"packaging":{"type":"object","title":"PackagePackaging","description":"Packaging data to be used in the packing process.","required":["product","quantity"],"properties":{"product":{"title":"ProductRef","type":"object","description":"A reference to a `Product` object by `id`.","properties":{"type":{"type":"string","enum":["Product"],"description":"This property describes the type of object in the response body.","isRequired":true,"uniqueKey":"packages.items.[INDEX].packaging.product.type","typeLabel":"enum\u003cstring>"},"id":{"type":"integer","format":"int32","example":3,"description":"The internal `id` property used as a path parameter in a resource lookup.","isRequired":true,"uniqueKey":"packages.items.[INDEX].packaging.product.id","typeLabel":"integer\u003cint32>"}},"required":["type","id"],"additionalProperties":false,"isRequired":true,"uniqueKey":"packages.items.[INDEX].packaging.product","typeLabel":"ProductRef · object"},"quantity":{"type":"integer","example":4,"description":"The product quantity in the package.","isRequired":true,"uniqueKey":"packages.items.[INDEX].packaging.quantity","typeLabel":"integer"}},"additionalProperties":false,"uniqueKey":"packages.items.[INDEX].packaging","typeLabel":"PackagePackaging · object"},"collected_data":{"type":"object","title":"CollectedData","description":"Data collected for a shipment package.","properties":{"label":{"type":"string","description":"The label of the collected order item.","uniqueKey":"packages.items.[INDEX].collected_data.label","typeLabel":"string"},"value":{"type":"string","description":"The value of the collected order item.","uniqueKey":"packages.items.[INDEX].collected_data.value","typeLabel":"string"}},"uniqueKey":"packages.items.[INDEX].collected_data","typeLabel":"CollectedData · object"}},"uniqueKey":"packages.items.[INDEX]","typeLabel":"ShipmentPackage · object"},"uniqueKey":"packages","typeLabel":"ShipmentPackage · object[]"},"complete_packing":{"type":"boolean","description":"If `true`, the packing process will be completed and the shipment status will advance to 'Packed'. Otherwise, the packages will be saved and the shipment status will advance only to 'Packing'. A second request without the `packages` property and with `complete_packing` set to `true` is then required to complete the packing process using the package data from the first request (two-step).\n\nRequired to be `true` if `return_label` or `print_label` is `true` and no existing label exists.","default":false,"example":true,"uniqueKey":"complete_packing","typeLabel":"boolean"},"return_label":{"type":"boolean","description":"Whether to return the generated shipping labels in the response as base64-encoded PDF data.\nRequires `complete_packing` to be `true` or an existing shipping label to be present.\nLabels are returned in the response under the `labels` key.","default":false,"example":false,"uniqueKey":"return_label","typeLabel":"boolean"},"print_label":{"type":"boolean","description":"Whether to send the generated labels to the specified printers.\nRequires `complete_packing` to be `true` or an existing shipping label to be present.\nMust specify the appropriate printer parameters based on shipment type and documents returned by the carrier API.","default":false,"example":false,"uniqueKey":"print_label","typeLabel":"boolean"},"printers":{"type":"object","description":"Specifies the printers to be used. The required printers depend on the shipment contents and type when `print_label` is true.\n- `small_label` is required for printing SSCC labels when the print target is configured for small labels.\n- `label` is required for parcel shipping labels or for SSCC labels when the print target is configured for standard labels.\n- `laser` is required for freight shipments, hazmat shipments, or other documents like customs forms and bills of lading.","properties":{"small_label":{"type":"string","description":"The printer name/identifier for small label printing (typically used for SSCC labels).","example":"small-printer-01","uniqueKey":"printers.small_label","typeLabel":"string"},"label":{"type":"string","description":"The printer name/identifier for standard label printing.","example":"label-printer-01","uniqueKey":"printers.label","typeLabel":"string"},"laser":{"type":"string","description":"The printer name/identifier for laser/document printing.","example":"laser-printer-01","uniqueKey":"printers.laser","typeLabel":"string"}},"uniqueKey":"printers","typeLabel":"object"},"post_automation_url":{"type":"string","format":"uri","description":"URL to send shipment data to after successful packing operation.\nMust be a valid HTTP or HTTPS URL.\nShipment data including ID, tracking info, and package data will be transmitted to this URL via an HTTP POST request synchronously.\nAny 200 response will be considered a success. Any non-200 response will be considered an error, and the request body will be truncated to 255 characters and displayed to the user and added as a history comment to the order.\n\nThe JSON-encoded payload contains the following keys: `shipment_id`, `external_id`, `order_unique_id`, `order_ref`, `carrier_code`, `shipping_method`, `batch_tag`, `automation_data`, `website_code`, `store_code`, `shipment_weight`, `shipment_weight_unit`, `order_weight`, `order_weight_unit`, `is_international`, `is_documents_required`, and `stock_id`.","example":"https://automation.example.com/shipment/packed","uniqueKey":"post_automation_url","typeLabel":"string\u003curi>"},"solution_override":{"type":"object","description":"Packing solution override parameters for manual or automatic solution adjustment.\nUsed to specify alternative packing solutions or create new ones.","properties":{"solution_id":{"type":"integer","description":"ID of an existing packing solution to use instead of the current one.\nUse -1 to create a new solution from the current shipment data.","example":12345,"uniqueKey":"solution_override.solution_id","typeLabel":"integer"},"reason":{"type":"string","description":"Reason for the packing solution override.","example":"Container size adjustment required","uniqueKey":"solution_override.reason","typeLabel":"string"},"comment":{"type":"string","description":"Additional comments about the solution override.","example":"Customer requested specific packaging","uniqueKey":"solution_override.comment","typeLabel":"string"},"mark_solution_invalid":{"type":"boolean","description":"Whether to mark the original solution as invalid.","default":false,"example":false,"uniqueKey":"solution_override.mark_solution_invalid","typeLabel":"boolean"}},"uniqueKey":"solution_override","typeLabel":"object"},"mark_solution_invalid":{"type":"boolean","description":"Whether to mark the current packing solution as invalid/disabled.\nWhen `true`, disables the current solution after packing is complete.\nCannot be used in combination with other solution override parameters.","default":false,"example":false,"uniqueKey":"mark_solution_invalid","typeLabel":"boolean"},"initial_solution_id":{"type":"integer","description":"ID of the initial packing solution to set on the shipment before processing.\nUsed to establish a baseline solution before applying any overrides.","example":54321,"uniqueKey":"initial_solution_id","typeLabel":"integer"},"ship_offline":{"type":"boolean","description":"Whether to pack the shipment in offline mode without carrier API integration.\nWhen `true`, skips carrier API calls and address validation.\nUseful for situations where carrier services are unavailable.","default":false,"example":false,"uniqueKey":"ship_offline","typeLabel":"boolean"},"confirmed_instructions":{"type":"object","description":"Object mapping instruction IDs to quantities for order instructions that have been confirmed.\nKeys are instruction IDs (as strings), values are the quantities confirmed.\nUsed to record fulfillment of special order instructions during packing.","additionalProperties":{"type":"integer","minimum":1,"description":"Quantity of the instruction that was confirmed.","uniqueKey":"confirmed_instructions.additionalProperties","typeLabel":"integer"},"example":{"123":2,"456":1},"uniqueKey":"confirmed_instructions","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"packages":[{"actual_weight":{"value":20},"dimensions":{"length":8,"width":6,"height":4},"customs_value":{"amount":99,"currency":"USD"},"declared_value":{"amount":99,"currency":"USD"},"tracking_number":"\u003cstring>","tracking_description":"\u003cstring>","tracking_url":"\u003cstring>","tracking_ref":"\u003cstring>","alt_tracking_number":"\u003cstring>","alt_tracking_description":"\u003cstring>","sscc":"\u003cstring>","manifest_code":"\u003cstring>","items":[{"sku":"\u003cstring>","name":"\u003cstring>","quantity":123,"weight":{"value":20},"hazmat_unit_weight":{"value":20},"customs_value":{"amount":99,"currency":"USD"},"order_item_id":123,"order_item_sku":"\u003cstring>","order_item_quantity":123}],"collected_data":{"label":"\u003cstring>","value":"\u003cstring>"}}],"complete_packing":true,"return_label":false,"print_label":false,"printers":{"small_label":"small-printer-01","label":"label-printer-01","laser":"laser-printer-01"},"post_automation_url":"https://automation.example.com/shipment/packed","solution_override":{"solution_id":12345,"reason":"Container size adjustment required","comment":"Customer requested specific packaging","mark_solution_invalid":false},"mark_solution_invalid":false,"initial_solution_id":54321,"ship_offline":false,"confirmed_instructions":{"123":2,"456":1}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"926700c0-5816-4fa1-86b8-7477ad225dbb":{"description":"Shipment packed successfully","content":{"application/json":{"schema":{"type":"object","properties":{"warnings":{"type":"array","description":"Any warnings generated during the packing process","items":{"type":"string","uniqueKey":"warnings.items.[INDEX]","typeLabel":"string"},"example":["Address validation warning"],"uniqueKey":"warnings","typeLabel":"string[]"},"labels":{"type":"object","description":"Base64-encoded PDF labels (returned only when `return_label` is `true`).\nAvailable keys depend on shipment type and requirements.","properties":{"shipping_label":{"type":"string","format":"byte","description":"Base64-encoded shipping label PDF","uniqueKey":"labels.shipping_label","typeLabel":"string\u003cbyte>"},"customs_documents":{"type":"string","format":"byte","description":"Base64-encoded customs documents PDF","uniqueKey":"labels.customs_documents","typeLabel":"string\u003cbyte>"},"bill_of_lading":{"type":"string","format":"byte","description":"Base64-encoded bill of lading PDF","uniqueKey":"labels.bill_of_lading","typeLabel":"string\u003cbyte>"},"hazmat_shipping_papers":{"type":"string","format":"byte","description":"Base64-encoded hazmat shipping papers PDF","uniqueKey":"labels.hazmat_shipping_papers","typeLabel":"string\u003cbyte>"},"hazmat_shippers_declaration":{"type":"string","format":"byte","description":"Base64-encoded hazmat shipper's declaration PDF","uniqueKey":"labels.hazmat_shippers_declaration","typeLabel":"string\u003cbyte>"},"sscc_pack_label":{"type":"string","format":"byte","description":"Base64-encoded SSCC pack label PDF","uniqueKey":"labels.sscc_pack_label","typeLabel":"string\u003cbyte>"}},"uniqueKey":"labels","typeLabel":"object"},"messages":{"type":"array","description":"Status messages about printing operations (returned only when `print_label` is `true`)","items":{"type":"string","uniqueKey":"messages.items.[INDEX]","typeLabel":"string"},"example":["Labels have been sent to the label printer (label-printer-01).","Customs Documents have been sent to the laser printer (laser-printer-01)."],"uniqueKey":"messages","typeLabel":"string[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"warnings":["Address validation warning"],"labels":{"shipping_label":"aSDinaTvuI8gbWludGxpZnk=","customs_documents":"aSDinaTvuI8gbWludGxpZnk=","bill_of_lading":"aSDinaTvuI8gbWludGxpZnk=","hazmat_shipping_papers":"aSDinaTvuI8gbWludGxpZnk=","hazmat_shippers_declaration":"aSDinaTvuI8gbWludGxpZnk=","sscc_pack_label":"aSDinaTvuI8gbWludGxpZnk="},"messages":["Labels have been sent to the label printer (label-printer-01).","Customs Documents have been sent to the laser printer (laser-printer-01)."]}}},"exampleType":"generated"}},"exampleType":"generated"},"76de1dbc-5226-4b7e-9325-270ecf2de87c":{"description":"The request was invalid. The client must change the request. See the response body for more details.","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","description":"The error type code.","enum":["parser","parameters","openapi"],"uniqueKey":"errors.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"An English sentence describing the error type.","uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"},"details":{"type":"array","description":"An array of objects describing which keys are responsible for the error and detailed messages describing why they are not valid.","items":{"type":"object","properties":{"key":{"type":"string","description":"The path to the key which relates to the error.","uniqueKey":"errors.items.[INDEX].details.items.[INDEX].key","typeLabel":"string"},"message":{"type":"string","description":"An English sentence describing the details of the error.","uniqueKey":"errors.items.[INDEX].details.items.[INDEX].message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].details.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors.items.[INDEX].details","typeLabel":"object[]"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"minItems":1,"uniqueKey":"errors","typeLabel":"object[]"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"example":{"errors":[{"type":"parameters","message":"The supplied parameters are invalid."}]},"examples":{"Example":{"title":"Example","value":{"errors":[{"type":"parameters","message":"The supplied parameters are invalid."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"cceb92ed-9ddb-4487-b98d-c67736dc7b12":{"description":"The requested resource was not found. It may have been deleted, it may have never existed, or you may not have permission to view it.","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","description":"The error type code.","enum":["not_found"],"uniqueKey":"errors.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"An English sentence describing the error type.","uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"},"details":{"type":"array","description":"An array of objects describing which keys are responsible for the error and detailed messages describing why they are not valid.","items":{"type":"object","properties":{"key":{"type":"string","description":"The path to the key which relates to the error.","uniqueKey":"errors.items.[INDEX].details.items.[INDEX].key","typeLabel":"string"},"message":{"type":"string","description":"An English sentence describing the details of the error.","uniqueKey":"errors.items.[INDEX].details.items.[INDEX].message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].details.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors.items.[INDEX].details","typeLabel":"object[]"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"minItems":1,"uniqueKey":"errors","typeLabel":"object[]"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"example":{"errors":[{"type":"not_found","message":"The server could not find the requested resource."}]},"examples":{"Example":{"title":"Example","value":{"errors":[{"type":"not_found","message":"The server could not find the requested resource."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"03363e1e-4bf0-44e7-81b1-bfaf3913bba7":{"description":"There was an error processing the request. See the response body for more details.","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","description":"The error type code.","enum":["application","unable_to_process"],"uniqueKey":"errors.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"An English sentence describing the error type.","uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"},"details":{"type":"array","description":"An array of objects describing which keys are responsible for the error and detailed messages describing why they are not valid.","items":{"type":"object","properties":{"key":{"type":"string","description":"The path to the key which relates to the error.","uniqueKey":"errors.items.[INDEX].details.items.[INDEX].key","typeLabel":"string"},"message":{"type":"string","description":"An English sentence describing the details of the error.","uniqueKey":"errors.items.[INDEX].details.items.[INDEX].message","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX].details.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors.items.[INDEX].details","typeLabel":"object[]"}},"additionalProperties":false,"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"minItems":1,"uniqueKey":"errors","typeLabel":"object[]"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"example":{"errors":[{"type":"unable_to_process","message":"There was an error processing the request."}]},"examples":{"Example":{"title":"Example","value":{"errors":[{"type":"unable_to_process","message":"There was an error processing the request."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"e16f6ed4-4ef4-4798-804c-0ef01a50ed54":{"description":"Internal Server Error - Something wrong happened at server side. Contact server administrator for more details.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"cdd0ed69-efb4-45cc-8b4d-1bf2ea905a01":{"ShipStream_bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Generate a JWT access token through a Custom Global Integration and provide it with each request in the `Authorization` header prefixed with \"Bearer\" and then a single space.","scopes":[],"schemeName":"ShipStream_bearerAuth"}}},"servers":{"c54ede43-9c1a-41e5-bd59-dd40a08d5ddf":{"url":"https://{base_url_domain}/api/global","description":"Direct API Url","variables":{"base_url_domain":{"default":"example.shipstream.app","description":"The fully qualified domain name for your ShipStream WMS instance. This is either a custom domain, or a subdomain of shipstream.app,\nand will be the same as the domain name for the page which you use to login to ShipStream WMS."}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Generate a JWT access token through a Custom Global Integration and provide it with each request in the `Authorization` header prefixed with \"Bearer\" and then a single space.","scopes":[],"schemeName":"ShipStream_bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Generate a JWT access token through a Custom Global Integration and provide it with each request in the `Authorization` header prefixed with \"Bearer\" and then a single space.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"ShipStream_bearerAuth","name":"Authorization"}],"title":"ShipStream_bearerAuth"}]},"originalFileLocation":"global-api/openapi.json"},"subdomain":"shipstream","siteName":"ShipStream Developer Center","title":"Pack Shipment - ShipStream Developer Center","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-02-19T16:24:03.335Z","originalFileLocation":"global-api/endpoint/v1/shipping/shipments/{id}/pack/post.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint can be used in multiple modes of operation and in all cases operates on a Shipment specified by its id path parameter. The available modes are: 1. Pack and Label: Create packages for a shipment and complete packing (create label if supported) in one step. 2. Pack Only: Create packages for a shipment without completing packing. 3. Complete Packing: Complete the packing of a shipment (creates a label if supported) in the \u0026quot;packing\u0026quot; status which was previously packed with the second mode. Additionally, many of the parameters are optional, in which case the system will attempt to intelligently determine the best course of action based on the current state of the shipment and its contents. For example, if the Shipment has a Packing Solution and no package details are provided, the system will assume the containers specified by the Packing Solution were used and thus create the packages accordingly.\">\u003cmeta data-mint-head name=\"application-name\" content=\"ShipStream Developer Center\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/shipstream/S5kcQpKDCwTV9qDy/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/shipstream/S5kcQpKDCwTV9qDy/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/shipstream/S5kcQpKDCwTV9qDy/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/shipstream/S5kcQpKDCwTV9qDy/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/shipstream/S5kcQpKDCwTV9qDy/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/shipstream/S5kcQpKDCwTV9qDy/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/shipstream/S5kcQpKDCwTV9qDy/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/shipstream/S5kcQpKDCwTV9qDy/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/shipstream/S5kcQpKDCwTV9qDy/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Pack Shipment - ShipStream Developer Center\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint can be used in multiple modes of operation and in all cases operates on a Shipment specified by its id path parameter. The available modes are: 1. Pack and Label: Create packages for a shipment and complete packing (create label if supported) in one step. 2. Pack Only: Create packages for a shipment without completing packing. 3. Complete Packing: Complete the packing of a shipment (creates a label if supported) in the \u0026quot;packing\u0026quot; status which was previously packed with the second mode. Additionally, many of the parameters are optional, in which case the system will attempt to intelligently determine the best course of action based on the current state of the shipment and its contents. For example, if the Shipment has a Packing Solution and no package details are provided, the system will assume the containers specified by the Packing Solution were used and thus create the packages accordingly.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"ShipStream Developer Center\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.shipstream.io/global-api/endpoint/v1/shipping/shipments/{id}/pack/post\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://shipstream.mintlify.app/_mintlify/api/og/v2?division=Shipments\u0026amp;title=Pack+Shipment\u0026amp;description=This+endpoint+can+be+used+in+multiple+modes+of+operation+and+in+all+cases+operates+on+a+%60Shipment%60+specified+by+its+%60id%60+path+parameter.%0A%0AThe+available+modes+ar\u0026amp;theme=e93d60d32d376022e10e26fa\u0026amp;signature=8009aa931d9f3490832aab2a099f456e58f9a804e252bd10e8d735c75593a89b\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Pack Shipment - ShipStream Developer Center\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint can be used in multiple modes of operation and in all cases operates on a Shipment specified by its id path parameter. The available modes are: 1. Pack and Label: Create packages for a shipment and complete packing (create label if supported) in one step. 2. Pack Only: Create packages for a shipment without completing packing. 3. Complete Packing: Complete the packing of a shipment (creates a label if supported) in the \u0026quot;packing\u0026quot; status which was previously packed with the second mode. Additionally, many of the parameters are optional, in which case the system will attempt to intelligently determine the best course of action based on the current state of the shipment and its contents. For example, if the Shipment has a Packing Solution and no package details are provided, the system will assume the containers specified by the Packing Solution were used and thus create the packages accordingly.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://shipstream.mintlify.app/_mintlify/api/og/v2?division=Shipments\u0026amp;title=Pack+Shipment\u0026amp;description=This+endpoint+can+be+used+in+multiple+modes+of+operation+and+in+all+cases+operates+on+a+%60Shipment%60+specified+by+its+%60id%60+path+parameter.%0A%0AThe+available+modes+ar\u0026amp;theme=e93d60d32d376022e10e26fa\u0026amp;signature=8009aa931d9f3490832aab2a099f456e58f9a804e252bd10e8d735c75593a89b\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/shipstream/S5kcQpKDCwTV9qDy/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"ShipStream Developer Center\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2a81c4\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.shipstream.io/global-api/endpoint/v1/shipping/shipments/{id}/pack/post\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/global-api/endpoint/v1/shipping/shipments/%7Bid%7D/pack/post.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.shipstream.io/#organization\",\"name\":\"ShipStream Developer Center\",\"url\":\"https://docs.shipstream.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/shipstream/qd77w5Du5LxXOgdH/logo/light.svg?fit=max\u0026auto=format\u0026n=qd77w5Du5LxXOgdH\u0026q=85\u0026s=a0df5ad1d65033e45435fe663a71e67e\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.shipstream.io#website\",\"name\":\"ShipStream Developer Center\",\"url\":\"https://docs.shipstream.io\",\"publisher\":{\"@id\":\"https://docs.shipstream.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.shipstream.io/global-api/endpoint/v1/shipping/shipments/%7Bid%7D/pack/post#webpage\",\"url\":\"https://docs.shipstream.io/global-api/endpoint/v1/shipping/shipments/%7Bid%7D/pack/post\",\"name\":\"Pack Shipment\",\"description\":\"This endpoint can be used in multiple modes of operation and in all cases operates on a Shipment specified by its id path parameter. The available modes are: 1. Pack and Label: Create packages for a shipment and complete packing (create label if supported) in one step. 2. Pack Only: Create packages for a shipment without completing packing. 3. Complete Packing: Complete the packing of a shipment (creates a label if supported) in the \\\"packing\\\" status which was previously packed with the second mode. Additionally, many of the parameters are optional, in which case the system will attempt to intelligently determine the best course of action based on the current state of the shipment and its contents. For example, if the Shipment has a Packing Solution and no package details are provided, the system will assume the containers specified by the Packing Solution were used and thus create the packages accordingly.\",\"dateModified\":\"2026-02-19T16:24:03.335Z\",\"isPartOf\":{\"@id\":\"https://docs.shipstream.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.shipstream.io/global-api/endpoint/v1/shipping/shipments/%7Bid%7D/pack/post#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.shipstream.io/global-api/endpoint/v1/shipping/shipments/%7Bid%7D/pack/post#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Shipping API v1\",\"item\":\"https://docs.shipstream.io/global-api/endpoint/v1/shipping/shipments/get\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Shipments\",\"item\":\"https://docs.shipstream.io/global-api/endpoint/v1/shipping/shipments/get\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Pack Shipment\",\"item\":\"https://docs.shipstream.io/global-api/endpoint/v1/shipping/shipments/%7Bid%7D/pack/post\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.shipstream.io/global-api/endpoint/v1/shipping/shipments/%7Bid%7D/pack/post#apireference\",\"headline\":\"Pack Shipment\",\"name\":\"Pack Shipment\",\"description\":\"This endpoint can be used in multiple modes of operation and in all cases operates on a Shipment specified by its id path parameter. The available modes are: 1. Pack and Label: Create packages for a shipment and complete packing (create label if supported) in one step. 2. Pack Only: Create packages for a shipment without completing packing. 3. Complete Packing: Complete the packing of a shipment (creates a label if supported) in the \\\"packing\\\" status which was previously packed with the second mode. Additionally, many of the parameters are optional, in which case the system will attempt to intelligently determine the best course of action based on the current state of the shipment and its contents. For example, if the Shipment has a Packing Solution and no package details are provided, the system will assume the containers specified by the Packing Solution were used and thus create the packages accordingly.\",\"url\":\"https://docs.shipstream.io/global-api/endpoint/v1/shipping/shipments/%7Bid%7D/pack/post\",\"mainEntityOfPage\":{\"@id\":\"https://docs.shipstream.io/global-api/endpoint/v1/shipping/shipments/%7Bid%7D/pack/post#webpage\"},\"dateModified\":\"2026-02-19T16:24:03.335Z\",\"publisher\":{\"@id\":\"https://docs.shipstream.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.shipstream.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"ShipStream Developer Center\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"ShipStream Developer Center","nav":{"global":{"anchors":[{"anchor":"Knowledge Base","icon":"book-open-cover","href":"https://help.shipstream.io"},{"anchor":"Release Notes","icon":"newspaper","href":"https://help.shipstream.io/article/fzz2g8rxhs-release-notes-overview"},{"anchor":"Warehouse Designer","icon":"compass","href":"https://flow.shipstream.io"}]},"tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/home"}]},{"tab":"Global API Reference","groups":[{"group":"Get Started","pages":[{"title":"Introduction","mode":"wide","href":"/global-api/introduction"},{"title":"Authentication","href":"/global-api/authentication"},{"title":"Versions","href":"/global-api/versions"}]},{"group":"Common Features","pages":[{"title":"Paging Parameters","href":"/global-api/paging-parameters"},{"title":"Sorting Syntax","href":"/global-api/sorting-syntax"},{"title":"Filtering Syntax","href":"/global-api/filtering-syntax"},{"title":"Selecting Fields","href":"/global-api/selecting-fields"},{"title":"Response Codes and Errors","href":"/global-api/response-codes-errors"}]},{"group":"Inventory API v1","pages":[{"group":"Warehouses","pages":[{"title":"List all Warehouses","openapi":"GET /v1/inventory/warehouses","href":"/global-api/endpoint/v1/inventory/warehouses/get"},{"title":"Create Warehouse","openapi":"POST /v1/inventory/warehouses","href":"/global-api/endpoint/v1/inventory/warehouses/post"},{"title":"Get one Warehouse","openapi":"GET /v1/inventory/warehouses/{id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/get"},{"title":"Update Warehouse","openapi":"PUT /v1/inventory/warehouses/{id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/put"},{"title":"Delete Warehouse","openapi":"DELETE /v1/inventory/warehouses/{id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/delete"}]},{"group":"Locations","pages":[{"title":"List all Locations","openapi":"GET /v1/inventory/warehouses/{id}/locations","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/locations/get"},{"title":"Create Location","openapi":"POST /v1/inventory/warehouses/{id}/locations","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/locations/post"},{"title":"Get one Location","openapi":"GET /v1/inventory/warehouses/{id}/locations/{location_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/locations/{location_id}/get"},{"title":"Update Location","openapi":"PUT /v1/inventory/warehouses/{id}/locations/{location_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/locations/{location_id}/put"},{"title":"Delete Location","openapi":"DELETE /v1/inventory/warehouses/{id}/locations/{location_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/locations/{location_id}/delete"},{"title":"Get Location by Label","openapi":"GET /v1/inventory/warehouses/{id}/locationsByLabel/{label}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/locationsByLabel/{label}/get"},{"title":"Batch update Locations","openapi":"POST /v1/inventory/warehouses/{id}/locations/batch","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/locations/batch/post"},{"title":"Batch Update Location Tags","openapi":"POST /v1/inventory/warehouses/{id}/locations/tags","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/locations/tags/post"}]},{"group":"Location Tags","pages":[{"title":"List Location Tags","openapi":"GET /v1/inventory/location-tags","href":"/global-api/endpoint/v1/inventory/location-tags/get"},{"title":"Create Location Tag","openapi":"POST /v1/inventory/location-tags","href":"/global-api/endpoint/v1/inventory/location-tags/post"},{"title":"Get one Location Tag","openapi":"GET /v1/inventory/location-tags/{id}","href":"/global-api/endpoint/v1/inventory/location-tags/{id}/get"},{"title":"Update Location Tag","openapi":"PUT /v1/inventory/location-tags/{id}","href":"/global-api/endpoint/v1/inventory/location-tags/{id}/put"},{"title":"Delete Location Tag","openapi":"DELETE /v1/inventory/location-tags/{id}","href":"/global-api/endpoint/v1/inventory/location-tags/{id}/delete"}]},{"group":"Slot Types","pages":[{"title":"List Slot Types","openapi":"GET /v1/inventory/slot-types","href":"/global-api/endpoint/v1/inventory/slot-types/get"},{"title":"Create Slot Type","openapi":"POST /v1/inventory/slot-types","href":"/global-api/endpoint/v1/inventory/slot-types/post"},{"title":"Get one Slot Type","openapi":"GET /v1/inventory/slot-types/{id}","href":"/global-api/endpoint/v1/inventory/slot-types/{id}/get"},{"title":"Update Slot Type","openapi":"PUT /v1/inventory/slot-types/{id}","href":"/global-api/endpoint/v1/inventory/slot-types/{id}/put"},{"title":"Delete Slot Type","openapi":"DELETE /v1/inventory/slot-types/{id}","href":"/global-api/endpoint/v1/inventory/slot-types/{id}/delete"}]},{"group":"Location Profiles","pages":[{"title":"List Location Profiles","openapi":"GET /v1/inventory/warehouses/{id}/location-profiles","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/location-profiles/get"},{"title":"Create Location Profile","openapi":"POST /v1/inventory/warehouses/{id}/location-profiles","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/location-profiles/post"},{"title":"Get Location Profile","openapi":"GET /v1/inventory/warehouses/{id}/location-profiles/{profile_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/location-profiles/{profile_id}/get"},{"title":"Update Location Profile","openapi":"PUT /v1/inventory/warehouses/{id}/location-profiles/{profile_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/location-profiles/{profile_id}/put"},{"title":"Delete Location Profile","openapi":"DELETE /v1/inventory/warehouses/{id}/location-profiles/{profile_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/location-profiles/{profile_id}/delete"},{"title":"List Location Profile member Locations","openapi":"GET /v1/inventory/warehouses/{id}/location-profiles/{profile_id}/locations","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/location-profiles/{profile_id}/locations/get"},{"title":"Rebuild Location Profile","openapi":"POST /v1/inventory/warehouses/{id}/location-profiles/{profile_id}/rebuild","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/location-profiles/{profile_id}/rebuild/post"}]},{"group":"Products","pages":[{"title":"List all Products and Packaging","openapi":"GET /v1/inventory/products/{type}","href":"/global-api/endpoint/v1/inventory/products/{type}/get"},{"title":"Get Product or Packaging","openapi":"GET /v1/inventory/products/{type}/{id}","href":"/global-api/endpoint/v1/inventory/products/{type}/{id}/get"},{"title":"Update Product or Packaging","openapi":"PUT /v1/inventory/products/{type}/{id}","href":"/global-api/endpoint/v1/inventory/products/{type}/{id}/put"},{"title":"Create Product or Packaging","openapi":"POST /v1/inventory/products","href":"/global-api/endpoint/v1/inventory/products/post"},{"title":"Get Product Classifications","openapi":"GET /v1/inventory/products/{type}/{id}/classifications","href":"/global-api/endpoint/v1/inventory/products/{type}/{id}/classifications/get"}]},{"group":"Product Profiles","pages":[{"title":"Editing Product Profile Conditions","href":"/global-api/product-profile-conditions"},{"title":"List Product Profiles","openapi":"GET /v1/inventory/product-profiles","href":"/global-api/endpoint/v1/inventory/product-profiles/get"},{"title":"Create Product Profile","openapi":"POST /v1/inventory/product-profiles","href":"/global-api/endpoint/v1/inventory/product-profiles/post"},{"title":"List Product Profile condition fields","openapi":"GET /v1/inventory/product-profiles/condition-fields","href":"/global-api/endpoint/v1/inventory/product-profiles/condition-fields/get"},{"title":"Get Product Profile by code","openapi":"GET /v1/inventory/product-profiles/by-code/{code}","href":"/global-api/endpoint/v1/inventory/product-profiles/by-code/{code}/get"},{"title":"Get Product Profile","openapi":"GET /v1/inventory/product-profiles/{id}","href":"/global-api/endpoint/v1/inventory/product-profiles/{id}/get"},{"title":"Update Product Profile","openapi":"PUT /v1/inventory/product-profiles/{id}","href":"/global-api/endpoint/v1/inventory/product-profiles/{id}/put"},{"title":"Delete Product Profile","openapi":"DELETE /v1/inventory/product-profiles/{id}","href":"/global-api/endpoint/v1/inventory/product-profiles/{id}/delete"},{"title":"List Product Profile member Products","openapi":"GET /v1/inventory/product-profiles/{id}/products","href":"/global-api/endpoint/v1/inventory/product-profiles/{id}/products/get"},{"title":"List Product condition values","openapi":"GET /v1/inventory/product-condition-values","href":"/global-api/endpoint/v1/inventory/product-condition-values/get"}]},{"group":"Handling Classes","pages":[{"title":"Editing Handling Class Conditions","href":"/global-api/handling-class-conditions"},{"title":"List Handling Classes","openapi":"GET /v1/inventory/handling-classes","href":"/global-api/endpoint/v1/inventory/handling-classes/get"},{"title":"Create Handling Class","openapi":"POST /v1/inventory/handling-classes","href":"/global-api/endpoint/v1/inventory/handling-classes/post"},{"title":"List Handling Class condition fields","openapi":"GET /v1/inventory/handling-classes/condition-fields","href":"/global-api/endpoint/v1/inventory/handling-classes/condition-fields/get"},{"title":"Get Handling Class by code","openapi":"GET /v1/inventory/handling-classes/by-code/{code}","href":"/global-api/endpoint/v1/inventory/handling-classes/by-code/{code}/get"},{"title":"Get Handling Class","openapi":"GET /v1/inventory/handling-classes/{id}","href":"/global-api/endpoint/v1/inventory/handling-classes/{id}/get"},{"title":"Update Handling Class","openapi":"PUT /v1/inventory/handling-classes/{id}","href":"/global-api/endpoint/v1/inventory/handling-classes/{id}/put"},{"title":"Delete Handling Class","openapi":"DELETE /v1/inventory/handling-classes/{id}","href":"/global-api/endpoint/v1/inventory/handling-classes/{id}/delete"}]},{"group":"Slotting Rules","pages":[{"title":"List Slotting Rule Sets","openapi":"GET /v1/inventory/warehouses/{id}/slotting-rule-sets","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/slotting-rule-sets/get"},{"title":"Create Slotting Rule Set","openapi":"POST /v1/inventory/warehouses/{id}/slotting-rule-sets","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/slotting-rule-sets/post"},{"title":"Get Slotting Rule Set","openapi":"GET /v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/get"},{"title":"Update Slotting Rule Set","openapi":"PUT /v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/put"},{"title":"Delete Slotting Rule Set","openapi":"DELETE /v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/delete"},{"title":"Duplicate Slotting Rule Set","openapi":"POST /v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/duplicate","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/duplicate/post"},{"title":"List Slotting Rules","openapi":"GET /v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/rules","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/rules/get"},{"title":"Create Slotting Rule","openapi":"POST /v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/rules","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/rules/post"},{"title":"Get Slotting Rule","openapi":"GET /v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/rules/{rule_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/rules/{rule_id}/get"},{"title":"Update Slotting Rule","openapi":"PUT /v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/rules/{rule_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/rules/{rule_id}/put"},{"title":"Delete Slotting Rule","openapi":"DELETE /v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/rules/{rule_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/slotting-rule-sets/{rule_set_id}/rules/{rule_id}/delete"},{"title":"List Slotting Conflicts","openapi":"GET /v1/inventory/warehouses/{id}/slotting-conflicts","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/slotting-conflicts/get"}]},{"group":"Replenishment","pages":[{"title":"List Policies","openapi":"GET /v1/inventory/warehouses/{id}/replenishment-policies","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/replenishment-policies/get"},{"title":"Create Policy","openapi":"POST /v1/inventory/warehouses/{id}/replenishment-policies","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/replenishment-policies/post"},{"title":"List Policy Options","openapi":"GET /v1/inventory/warehouses/{id}/replenishment-policies/options","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/replenishment-policies/options/get"},{"title":"Get Policy","openapi":"GET /v1/inventory/warehouses/{id}/replenishment-policies/{policy_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/replenishment-policies/{policy_id}/get"},{"title":"Update Policy","openapi":"PUT /v1/inventory/warehouses/{id}/replenishment-policies/{policy_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/replenishment-policies/{policy_id}/put"},{"title":"Delete Policy","openapi":"DELETE /v1/inventory/warehouses/{id}/replenishment-policies/{policy_id}","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/replenishment-policies/{policy_id}/delete"},{"title":"List Report Rows","openapi":"GET /v1/inventory/warehouses/{id}/replenishment-report","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/replenishment-report/get"},{"title":"Get Replenishment Index Status","openapi":"GET /v1/inventory/warehouses/{id}/replenishment-index/status","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/replenishment-index/status/get"},{"title":"Rebuild Replenishment Index","openapi":"POST /v1/inventory/warehouses/{id}/replenishment-index/rebuild","href":"/global-api/endpoint/v1/inventory/warehouses/{id}/replenishment-index/rebuild/post"}]},{"group":"Levels","pages":[{"title":"List total inventory levels","openapi":"GET /v1/inventory/levels/total","href":"/global-api/endpoint/v1/inventory/levels/total/get"},{"title":"List warehouse inventory levels","openapi":"GET /v1/inventory/levels/warehouse","href":"/global-api/endpoint/v1/inventory/levels/warehouse/get"}]},{"group":"HoldReasons","pages":[{"title":"List active hold reasons","openapi":"GET /v1/inventory/hold-reasons","href":"/global-api/endpoint/v1/inventory/hold-reasons/get"},{"title":"Create user-defined hold reason","openapi":"POST /v1/inventory/hold-reasons","href":"/global-api/endpoint/v1/inventory/hold-reasons/post"},{"title":"Update hold reason","openapi":"PUT /v1/inventory/hold-reasons/{id}","href":"/global-api/endpoint/v1/inventory/hold-reasons/{id}/put"},{"title":"Delete user-defined hold reason","openapi":"DELETE /v1/inventory/hold-reasons/{id}","href":"/global-api/endpoint/v1/inventory/hold-reasons/{id}/delete"}]},{"group":"Holds","pages":[{"title":"List / search inventory holds","openapi":"GET /v1/inventory/holds","href":"/global-api/endpoint/v1/inventory/holds/get"},{"title":"Get one Hold by ID","openapi":"GET /v1/inventory/holds/{id}","href":"/global-api/endpoint/v1/inventory/holds/{id}/get"},{"title":"Place location-level Hold","openapi":"POST /v1/inventory/holds/location","href":"/global-api/endpoint/v1/inventory/holds/location/post"},{"title":"Place lot-level Hold (with optional BOM cascade)","openapi":"POST /v1/inventory/holds/lot","href":"/global-api/endpoint/v1/inventory/holds/lot/post"},{"title":"Release one Hold by ID","openapi":"POST /v1/inventory/holds/{id}/release","href":"/global-api/endpoint/v1/inventory/holds/{id}/release/post"},{"title":"Release all active Holds on Lot","openapi":"POST /v1/inventory/holds/lot/{lot_id}/release","href":"/global-api/endpoint/v1/inventory/holds/lot/{lot_id}/release/post"}]}]},{"group":"Receiving API v1","pages":[{"group":"Deliveries","pages":[{"title":"List all Deliveries","openapi":"GET /v1/receiving/{type}","href":"/global-api/endpoint/v1/receiving/{type}/get"},{"title":"Get one Delivery","openapi":"GET /v1/receiving/{type}/{id}","href":"/global-api/endpoint/v1/receiving/{type}/{id}/get"}]}]},{"group":"Shipping API v1","pages":[{"group":"Shipments","pages":[{"title":"List all Shipments","openapi":"GET /v1/shipping/shipments","href":"/global-api/endpoint/v1/shipping/shipments/get"},{"title":"Get one Shipment","openapi":"GET /v1/shipping/shipments/{id}","href":"/global-api/endpoint/v1/shipping/shipments/{id}/get"},{"title":"Process Shipment","openapi":"POST /v1/shipping/shipments/{id}/process","href":"/global-api/endpoint/v1/shipping/shipments/{id}/process/post"},{"title":"Pick Shipment","openapi":"POST /v1/shipping/shipments/{id}/pick","description":"Completes some or all picks for the `Shipment` specified by its `id` path parameter.","href":"/global-api/endpoint/v1/shipping/shipments/{id}/pick/post"},{"title":"Pack Shipment","openapi":"POST /v1/shipping/shipments/{id}/pack","href":"/global-api/endpoint/v1/shipping/shipments/{id}/pack/post"},{"title":"Mark Shipment as Shipped","openapi":"POST /v1/shipping/shipments/{id}/shipped","description":"Marks a `Shipment` in the \"packed\" status as shipped, specified by its `id` path parameter.","href":"/global-api/endpoint/v1/shipping/shipments/{id}/shipped/post"},{"title":"Get Shipment Reservations","openapi":"GET /v1/shipping/shipments/{id}/reservations","href":"/global-api/endpoint/v1/shipping/shipments/{id}/reservations/get"}]},{"group":"Orders","pages":[{"title":"Mass update orders","openapi":"POST /v1/shipping/orders/massUpdate","href":"/global-api/endpoint/v1/shipping/orders/massUpdate/post"},{"title":"List all Orders","openapi":"GET /v1/shipping/orders","href":"/global-api/endpoint/v1/shipping/orders/get"},{"title":"Get one Order","openapi":"GET /v1/shipping/orders/{id}","href":"/global-api/endpoint/v1/shipping/orders/{id}/get"},{"title":"Method not allowed","openapi":"GET /v1/shipping/orders/massUpdate","href":"/global-api/endpoint/v1/shipping/orders/massUpdate/get"}]},{"group":"Retailers","pages":[{"title":"List all Retailers","openapi":"GET /v1/shipping/retailers","href":"/global-api/endpoint/v1/shipping/retailers/get"},{"title":"Create Retailer","openapi":"POST /v1/shipping/retailers","href":"/global-api/endpoint/v1/shipping/retailers/post"},{"title":"Get one Retailer","openapi":"GET /v1/shipping/retailers/{id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/get"},{"title":"Update Retailer","openapi":"PUT /v1/shipping/retailers/{id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/put"},{"title":"Delete Retailer","openapi":"DELETE /v1/shipping/retailers/{id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/delete"},{"title":"List Retailer Identifiers","openapi":"GET /v1/shipping/retailers/{id}/identifiers","href":"/global-api/endpoint/v1/shipping/retailers/{id}/identifiers/get"},{"title":"Create Retailer Identifier","openapi":"POST /v1/shipping/retailers/{id}/identifiers","href":"/global-api/endpoint/v1/shipping/retailers/{id}/identifiers/post"},{"title":"Get one Retailer Identifier","openapi":"GET /v1/shipping/retailers/{id}/identifiers/{identifier_id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/identifiers/{identifier_id}/get"},{"title":"Update Retailer Identifier","openapi":"PUT /v1/shipping/retailers/{id}/identifiers/{identifier_id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/identifiers/{identifier_id}/put"},{"title":"Delete Retailer Identifier","openapi":"DELETE /v1/shipping/retailers/{id}/identifiers/{identifier_id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/identifiers/{identifier_id}/delete"},{"title":"List Retailer Ship-To Locations","openapi":"GET /v1/shipping/retailers/{id}/ship-to-locations","href":"/global-api/endpoint/v1/shipping/retailers/{id}/ship-to-locations/get"},{"title":"Create Retailer Ship-To Location","openapi":"POST /v1/shipping/retailers/{id}/ship-to-locations","href":"/global-api/endpoint/v1/shipping/retailers/{id}/ship-to-locations/post"},{"title":"Get one Retailer Ship-To Location","openapi":"GET /v1/shipping/retailers/{id}/ship-to-locations/{location_id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/ship-to-locations/{location_id}/get"},{"title":"Update Retailer Ship-To Location","openapi":"PUT /v1/shipping/retailers/{id}/ship-to-locations/{location_id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/ship-to-locations/{location_id}/put"},{"title":"Delete Retailer Ship-To Location","openapi":"DELETE /v1/shipping/retailers/{id}/ship-to-locations/{location_id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/ship-to-locations/{location_id}/delete"},{"title":"List Retailer Routing Guides","openapi":"GET /v1/shipping/retailers/{id}/routing-guides","href":"/global-api/endpoint/v1/shipping/retailers/{id}/routing-guides/get"},{"title":"Create Retailer Routing Guide","openapi":"POST /v1/shipping/retailers/{id}/routing-guides","href":"/global-api/endpoint/v1/shipping/retailers/{id}/routing-guides/post"},{"title":"Get one Retailer Routing Guide","openapi":"GET /v1/shipping/retailers/{id}/routing-guides/{guide_id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/routing-guides/{guide_id}/get"},{"title":"Update Retailer Routing Guide metadata","openapi":"PUT /v1/shipping/retailers/{id}/routing-guides/{guide_id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/routing-guides/{guide_id}/put"},{"title":"Delete Retailer Routing Guide","openapi":"DELETE /v1/shipping/retailers/{id}/routing-guides/{guide_id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/routing-guides/{guide_id}/delete"},{"title":"Get Retailer Routing Guide file content","openapi":"GET /v1/shipping/retailers/{id}/routing-guides/{guide_id}/file","href":"/global-api/endpoint/v1/shipping/retailers/{id}/routing-guides/{guide_id}/file/get"},{"title":"List Retailer Merchant Settings","openapi":"GET /v1/shipping/retailers/{id}/merchant-settings","href":"/global-api/endpoint/v1/shipping/retailers/{id}/merchant-settings/get"},{"title":"Create Retailer Merchant Setting","openapi":"POST /v1/shipping/retailers/{id}/merchant-settings","href":"/global-api/endpoint/v1/shipping/retailers/{id}/merchant-settings/post"},{"title":"Get one Retailer Merchant Setting","openapi":"GET /v1/shipping/retailers/{id}/merchant-settings/{setting_id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/merchant-settings/{setting_id}/get"},{"title":"Update Retailer Merchant Setting","openapi":"PUT /v1/shipping/retailers/{id}/merchant-settings/{setting_id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/merchant-settings/{setting_id}/put"},{"title":"Delete Retailer Merchant Setting","openapi":"DELETE /v1/shipping/retailers/{id}/merchant-settings/{setting_id}","href":"/global-api/endpoint/v1/shipping/retailers/{id}/merchant-settings/{setting_id}/delete"}]}]},{"group":"System API v1","pages":[{"group":"Merchants","pages":[{"title":"List all Merchants","openapi":"GET /v1/system/merchants","href":"/global-api/endpoint/v1/system/merchants/get"}]},{"group":"Users","pages":[{"title":"List all Users","openapi":"GET /v1/system/users/{type}","href":"/global-api/endpoint/v1/system/users/{type}/get"},{"title":"Get one User","openapi":"GET /v1/system/users/{type}/{id}","href":"/global-api/endpoint/v1/system/users/{type}/{id}/get"},{"title":"Update one User","openapi":"PUT /v1/system/users/{type}/{id}","href":"/global-api/endpoint/v1/system/users/{type}/{id}/put"},{"title":"Delete User","openapi":"DELETE /v1/system/users/{type}/{id}","href":"/global-api/endpoint/v1/system/users/{type}/{id}/delete"}]},{"group":"User Roles","pages":[{"title":"List all User Roles","openapi":"GET /v1/system/userRoles/{type}","href":"/global-api/endpoint/v1/system/userRoles/{type}/get"},{"title":"Get one User Role","openapi":"GET /v1/system/userRoles/{type}/{id}","href":"/global-api/endpoint/v1/system/userRoles/{type}/{id}/get"},{"title":"Update one User Role","openapi":"PUT /v1/system/userRoles/{type}/{id}","href":"/global-api/endpoint/v1/system/userRoles/{type}/{id}/put"},{"title":"Delete User Role","openapi":"DELETE /v1/system/userRoles/{type}/{id}","href":"/global-api/endpoint/v1/system/userRoles/{type}/{id}/delete"}]},{"group":"Healthcheck","pages":[{"title":"Healthcheck","openapi":"GET /v1/system/status","href":"/global-api/endpoint/v1/system/status/get"}]}]}]},{"tab":"Merchant API Reference","pages":[{"title":"Merchant API Reference","href":"/merchant-api/introduction"}]}]},"title":"Pack Shipment - ShipStream Developer Center","buildId":"dpl_2oYXwqkEXirXBPk8wV1FtM5USFWi","deploymentId":"dpl_2oYXwqkEXirXBPk8wV1FtM5USFWi","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-WRhTSUDL.js","utils-ChMov4Kr.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-_REmC2bI.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp6nVRCu.js","snippetPresets-DZadmXoU.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CY2WdoTl.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DwYG-Q4l.js","shallow-BXQIGwv4.js","getApiPlaygroundDisplay-CK5nK5B9.js","CodeSnippet-TH4a2aGW.js","CodeSnippets-DwsQiOFS.js","Page-R3M_BF4L.js","getPastedJson-DD7kUzi_.js","icon-holE3QoJ.js","MethodPill-DUW0T8us.js","DuplicateIcon-CI_p4be-.js","createIcon-BdbRvavb.js","DynamicMarkdown-DN96a4Ur.js","SectionHeading-SCu36A9d.js","axios-vUo_bRtp.js","Markdown-CCeGv-zI.js","clsx-BGBGWFTt.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-Cv_O2fky.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-2C5OB2eV.js"]}